#!/bin/bash 

#
#  Copyright (c) Members of the EGEE Collaboration. 2004.
#  See http://eu-egee.org/partners/ for details on the copyright holders.
#  For license conditions see the license file or http://eu-egee.org/license.html
# 
#  GLite Data Transfer Scripts
#
#  Authors: Paolo Badino <paolo.badino@cern.ch>
#  Version info: $Id: channel-hour-report.sh,v 1.4 2006/10/06 14:50:14 badino Exp $
#  Release: $Name: glite-data-transfer-scripts_R_0_1_5_1 $
#
#

# Check that GLITE_LOCATION is set
if [ "x$GLITE_LOCATION" == "x" ] ; then
    echo "GLITE_LOCATION Environemnt variable is not set. Please fix your profile";
    exit -1;
fi

# Report Type
REPORT_CATEGORY=channel
REPORT_TYPE=transfer
REPORT_INTERVAL=hour
REPORT_REL_DIR=`date +'%Y/%m/%d'`

# Import Common functions
source $GLITE_LOCATION/share/glite-data-transfer-scripts/reports/report-common.sh

# Generate report
make_report

# Generate html
make_html

